/*
 * File: main.c
 * Date: 15.08.2011
 * Denis Zheleznjakov http://ziblog.ru
 */

#ifndef MAIN_H_
#define MAIN_H_

#include <stdint.h>

#include "macros.h"

#include "stm32l1xx.h"
#include "stm32l1xx_it.h"
#include "core_cm3.h"

#include "mcu_gpio.h"

//#define LED_GREEN	B, 7, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_400KHZ, AF_NO
//#define LED_BLUE	B, 6, HIGH, MODE_OUTPUT_PUSH_PULL, SPEED_400KHZ, AF_NO

#define USER_BUTTON	A, 0, HIGH, MODE_INPUT_FLOATING, SPEED_400KHZ, AF_NO

#define PIN_MCO		A, 8, HIGH, MODE_AF_PUSH_PULL, SPEED_40MHZ, AF0

#define PIN_LCDSEG0		A, 1, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG1		A, 2, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG2		A, 3, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG3		B, 3, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG4		B, 4, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG5		B, 5, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG6		B, 10, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG7		B, 11, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG8		B, 12, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG9		B, 13, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG10	B, 14, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG11	B, 15, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG12	A, 15, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG13	B, 8, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG14	C, 0, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG15	C, 1, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG16	C, 2, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG17	C, 3, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG18	C, 6, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG19	C, 7, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG20	C, 8, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG21	C, 9, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG22	C, 10, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define PIN_LCDSEG23	C, 11, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define LCDCOM0			A, 8, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define LCDCOM1			A, 9, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define LCDCOM2			A, 10, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11
#define LCDCOM3			B, 9, HIGH, MODE_AF_PUSH_PULL, SPEED_400KHZ, AF11

#define PIN_I2C_SCL		B, 6, HIGH, MODE_AF_OPEN_DRAIN_PULL_UP, SPEED_400KHZ, AF4
#define PIN_I2C_SDA		B, 7, HIGH, MODE_AF_OPEN_DRAIN_PULL_UP, SPEED_400KHZ, AF4

#endif /* MAIN_H_ */
